[svn] r3146 - trunk/rpms/xmms-wma

packagers at lists.rpmforge.net packagers at lists.rpmforge.net
Wed Apr 20 15:32:39 CEST 2005


Author: thias
Date: 2005-04-20 15:32:38 +0200 (Wed, 20 Apr 2005)
New Revision: 3146

Added:
   trunk/rpms/xmms-wma/xmms-wma-1.0.4-gcc4.patch
Modified:
   trunk/rpms/xmms-wma/xmms-wma.spec
Log:
Update to 1.0.4 and include gcc4 patch.


Added: trunk/rpms/xmms-wma/xmms-wma-1.0.4-gcc4.patch
===================================================================
--- trunk/rpms/xmms-wma/xmms-wma-1.0.4-gcc4.patch	2005-04-20 12:12:23 UTC (rev 3145)
+++ trunk/rpms/xmms-wma/xmms-wma-1.0.4-gcc4.patch	2005-04-20 13:32:38 UTC (rev 3146)
@@ -0,0 +1,18 @@
+diff -Naupr xmms-wma-1.0.4.orig/ffmpeg-strip-wma/common.h xmms-wma-1.0.4/ffmpeg-strip-wma/common.h
+--- xmms-wma-1.0.4.orig/ffmpeg-strip-wma/common.h	2004-01-26 20:09:47.000000000 +0100
++++ xmms-wma-1.0.4/ffmpeg-strip-wma/common.h	2005-04-20 15:29:00.000000000 +0200
+@@ -62,12 +62,8 @@
+ #define AVOPTION_END() AVOPTION_SUB(NULL)
+ 
+ struct AVOption;
+-#ifdef HAVE_MMX
+-extern const struct AVOption avoptions_common[3 + 5];
+-#else
+-extern const struct AVOption avoptions_common[3];
+-#endif
+-extern const struct AVOption avoptions_workaround_bug[11];
++extern const struct AVOption *avoptions_common;
++extern const struct AVOption *avoptions_workaround_bug;
+ 
+ #endif /* HAVE_AV_CONFIG_H */
+ 

Modified: trunk/rpms/xmms-wma/xmms-wma.spec
===================================================================
--- trunk/rpms/xmms-wma/xmms-wma.spec	2005-04-20 12:12:23 UTC (rev 3145)
+++ trunk/rpms/xmms-wma/xmms-wma.spec	2005-04-20 13:32:38 UTC (rev 3146)
@@ -4,12 +4,13 @@
 
 Summary: X MultiMedia System input plugin to play Windows Media Audio files
 Name: xmms-wma
-Version: 1.0.3
+Version: 1.0.4
 Release: 1
 License: GPL
 Group: Applications/Multimedia
 URL: http://mcmcc.bat.ru/xmms-wma/
 Source: http://mcmcc.bat.ru/xmms-wma/xmms-wma-%{version}.tar.bz2
+Patch: xmms-wma-1.0.4-gcc4.patch
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
 Requires: xmms >= 1.0.1, glib >= 1.2.7, gtk+ >= 1.2.7
 BuildRequires: xmms-devel, gtk+-devel
@@ -24,6 +25,7 @@
 
 %prep
 %setup
+%patch -p1 -b .gcc4
 
 
 %build
@@ -54,6 +56,10 @@
 
 
 %changelog
+* Sun Apr 17 2005 Matthias Saou <http://freshrpms.net/> 1.0.4-1
+- Update to 1.0.4.
+- Added gcc4 compile fix (http://gcc.gnu.org/ml/gcc/2005-02/msg00053.html).
+
 * Mon Jun  7 2004 Matthias Saou <http://freshrpms.net/> 1.0.3-1
 - Initial rpm package.
 




More information about the commits mailing list